Lightroom version numbers (CFShortBundleVersionString)

  • 1
  • Idea
  • Updated 1 year ago
Please switch the version numbers you use in the Info.plist of Lightroom:

    "Adobe Product Version" = "6.8";
    CFBundleInfoDictionaryVersion = "6.2";
    CFBundleShortVersionString = "Adobe Lightroom [1099473]";
    CFBundleVersion = "6.8";
The problem here is that both the Finder's Get Info command as well as software management suites such as Jamf Pro report the CFBundleShortVersionString, which is much harder to decode and match to a current version, such as either of the values of "6.8" above.

Additionally, this will bring Lightroom in line with the other current CC apps:

Photoshop 2017:
    CFBundleLongVersionString = "18.0.0 (20161012.r.53 2016/10/12:23:00:00)";
    CFBundleShortVersionString = "18.0.0";

InDesign 2017:
    CFBundleLongVersionString = "12.0, Copyright 1999-2016 Adobe. All rights reserved.";
    CFBundleShortVersionString = "12.0.0.81";
Photo of Pete Curtner

Pete Curtner

  • 1 Post
  • 0 Reply Likes

Posted 1 year ago

  • 1

Be the first to post a reply!